Project

General

Profile

Wayland Support

Added by Mario Turano 19 days ago

Hello everyone

Audacious on my fedora uses xWayland. Is there any way to prevent X11 from starting or does audacious not yet support wayland?


Replies (6)

RE: Wayland Support - Added by John Lindgren 19 days ago

Audacious supports any window system supported by Qt 5.

RE: Wayland Support - Added by Mario Turano 18 days ago

ok so what should i do to prevent audacious from using X11?

RE: Wayland Support - Added by Thomas Lange 18 days ago

What is your Audacious version?
Are you using the latest version of Fedora?
Are you using Gnome or another desktop environment?
Have you tried setting the environment variable "QT_QPA_PLATFORM=wayland"?

See also: https://fedoraproject.org/wiki/Changes/Qt_Wayland_By_Default_On_Gnome

RE: Wayland Support - Added by Mario Turano 16 days ago

I have disabled qt support, I use gnome, I don't want qt libraries

RE: Wayland Support - Added by Thomas Lange 16 days ago

This explains it, GTK2 does not support Wayland.

You can either downgrade Audacious to an older version which uses GTK3
or compile the master-gtk3 Git branches (audacious and audacious-plugins).

RE: Wayland Support - Added by Mario Turano 11 days ago

Ah ok thanks for the tip, now it works. Question: are you abandoning the gtk?

    (1-6/6)